/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.objectweb.jonas.jtests.beans.etype.obigd.ObigdecimalHome;

/**
 * This is a test suite about java.math.BigDecimal field of entity bean CMP version 1.1.
 * Beans used: etype/obigd
 * @author Helene Joanin
 */

public class F_EtypeObigdecimalEC extends A_EtypeObigdecimal {

    private static String BEAN_HOME = "EtypeObigdecimalECHome";
    protected static ObigdecimalHome home = null;

    public F_EtypeObigdecimalEC(String name) {
	super(name);
    }

    protected void setUp() {
	super.setUp();
    }

    public ObigdecimalHome getHome() {
	if (home == null) {
	    try {
		home = (ObigdecimalHome) PortableRemoteObject.narrow(ictx.lookup(BEAN_HOME),
								ObigdecimalHome.class);
	    } catch (NamingException e) {
		fail("Cannot get bean home: "+BEAN_HOME);
	    }
	}
	return home;
    }

    public static Test suite() {
	return new TestSuite(F_EtypeObigdecimalEC.class);
    }

    public static void main (String args[]) {
	String testtorun = null;
	// Get args
	for (int argn = 0; argn < args.length; argn++) {
	    String s_arg = args[argn];
	    Integer i_arg;
	    if (s_arg.equals("-n")) {
		testtorun = args[++argn];
	    }
	}
	if (testtorun == null) {
	    junit.textui.TestRunner.run(suite());
	} else {
	    junit.textui.TestRunner.run(new F_EtypeObigdecimalEC(testtorun));
	}
    }
}
